Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsurveyor
Class AnswerFreeText

    java.lang.Object
      net.sourceforge.jsurveyor.Answer
          net.sourceforge.jsurveyor.AnswerFreeText

public class AnswerFreeText
extends net.sourceforge.jsurveyor.Answer

Class to model freetext answers. Saves the text a user inputs.

Version:
  1.0
Author:
  Claus Methmann Christensen, Anders Spliid Hansen, Esben Iversen Hansen, Lars H Jensen, Marcus Overheu, Thomas Ramdal, Peter Thomsen

Constructor Summary
`AnswerFreeText()` Constructor for AnswerFreeText
`AnswerFreeText(int questionID)` Constructor for AnswerFreeText
`AnswerFreeText(int answerID, int questionID, java.lang.String freeText)` Constructor for AnswerFreeText, use through DataAccess.
`AnswerFreeText(int questionID, java.lang.String freeText)` Constructor for AnswerFreeText

Method Summary
`int` | `getAnswerID()` Returns the id of the answer
`java.lang.String` | `getFreeText()` Returns the answered freetext
`int` | `getQuestionID()` Returns the questionID that the answer belongs to.
`void` | `setAnswerID(int answerID)` Sets the id of the answer
`void` | `setFreeText(java.lang.String freeText)` Sets the aswered freetext
`void` | `setQuestionID(int questionID)` Sets the questionID that the object is an answer for.
`java.lang.String` | `toString()` Returns the answerID prefixed with a F to represent it is a freetext.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnswerFreeText

    public AnswerFreeText()

  Constructor for AnswerFreeText

### AnswerFreeText

    public AnswerFreeText(int questionID)

  Constructor for AnswerFreeText

Parameters:
  `questionID` - int

### AnswerFreeText

    public AnswerFreeText(int questionID,
                          java.lang.String freeText)

  Constructor for AnswerFreeText

Parameters:
  `questionID` - int
  `freeText` - String

### AnswerFreeText

    public AnswerFreeText(int answerID,
                          int questionID,
                          java.lang.String freeText)

  Constructor for AnswerFreeText, use through DataAccess.

Parameters:
  `answerID` - int
  `questionID` - int
  `freeText` - String

Method Detail

### getFreeText

    public java.lang.String getFreeText()

  Returns the answered freetext

  Returns:
    String

### setFreeText

    public void setFreeText(java.lang.String freeText)

  Sets the aswered freetext

  Parameters:
    `freeText` - String

### toString

    public java.lang.String toString()

  Returns the answerID prefixed with a F to represent it is a freetext.

  Returns:
    String

### getQuestionID

    public int getQuestionID()

  Returns the questionID that the answer belongs to.

  Returns:
    int

### setQuestionID

    public void setQuestionID(int questionID)

  Sets the questionID that the object is an answer for.

  Parameters:
    `questionID` - int

### getAnswerID

    public int getAnswerID()

  Returns the id of the answer

  Returns:
    int

### setAnswerID

    public void setAnswerID(int answerID)

  Sets the id of the answer

  Parameters:
    `answerID` - int

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD